﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QuakeViewer
{
    class QuakeDateTimeComparer : IComparer<QuakeData>
    {
        public int Compare(QuakeData p, QuakeData q)
        {
            return p.Time.GetValueOrDefault().CompareTo(q.Time.GetValueOrDefault());
        }
    }

    class QuakeLatComparer : IComparer<QuakeData>
    {
        public int Compare(QuakeData p, QuakeData q)
        {
            return p.Latitude.GetValueOrDefault().CompareTo(q.Latitude.GetValueOrDefault());
        }
    }

    class QuakeLonComparer : IComparer<QuakeData>
    {
        public int Compare(QuakeData p, QuakeData q)
        {
            return p.Longitude.GetValueOrDefault().CompareTo(q.Longitude.GetValueOrDefault());
        }
    }

    class QuakeDepthComparer : IComparer<QuakeData>
    {
        public int Compare(QuakeData p, QuakeData q)
        {
            return p.Depth.GetValueOrDefault().CompareTo(q.Depth.GetValueOrDefault());
        }
    }

    class QuakeMagnitudeComparer : IComparer<QuakeData>
    {
        public int Compare(QuakeData p, QuakeData q)
        {
            return p.Magnitude.GetValueOrDefault().CompareTo(q.Magnitude.GetValueOrDefault());
        }
    }
}
